import { CreateForumController } from '@modules/foruns/useCases/createForum/CreateForumController';
import { DeleteForumController } from '@modules/foruns/useCases/deleteForum/DeleteForumController';
import { FindManyForumController } from '@modules/foruns/useCases/findAllForum/FindManyForumController';
import { FindOneForumController } from '@modules/foruns/useCases/findOneForum/FindOneForumController';
import { Router } from 'express';

const forunsRouter = Router();

const createForumController = new CreateForumController();
const findOneForumController = new FindOneForumController();
const findManyForumController = new FindManyForumController();
const deleteForumController = new DeleteForumController();

forunsRouter.post('/', createForumController.handle)
forunsRouter.get('/all', findManyForumController.handle)
forunsRouter.get('/:id', findOneForumController.handle)
forunsRouter.delete('/:id', deleteForumController.handle)


export {forunsRouter}